Skip to content

GET /integrations​

GET
/integrations

List resources with pagination

Authorizations​

BearerAuth
Type
HTTP (Bearer)

Parameters​

Query Parameters

page

Page number (1-based)

Type
integer
Format
"int32"
Default
1
pageSize

Page size

Type
integer
Format
"int32"
Default
25

Responses​

The request has succeeded.

application/json
JSON
{
  
"items": [
  
  
{
  
  
  
"id": "string",
  
  
  
"name": "string",
  
  
  
"channel": "string",
  
  
  
"provider": "string",
  
  
  
"enabled": true,
  
  
  
"isDefault": true,
  
  
  
"maxPerSecond": 0,
  
  
  
"maxPerDay": 0,
  
  
  
"sendLimit": {
  
  
  
  
"perSecond": {
  
  
  
  
  
"limit": 0,
  
  
  
  
  
"source": "string"
  
  
  
  
},
  
  
  
  
"perDay": {
  
  
  
  
  
"limit": 0,
  
  
  
  
  
"source": "string"
  
  
  
  
},
  
  
  
  
"sentLast24h": 0,
  
  
  
  
"warnings": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
},
  
  
  
"config": {
  
  
  
  
"kind": "string",
  
  
  
  
"host": "string",
  
  
  
  
"port": 0,
  
  
  
  
"username": "string",
  
  
  
  
"from": "string",
  
  
  
  
"fromName": "string"
  
  
  
},
  
  
  
"createdAt": "string",
  
  
  
"updatedAt": "string"
  
  
}
  
],
  
"page": 0,
  
"pageSize": 0,
  
"totalItems": 0,
  
"totalPages": 0
}

Playground​

Server
Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI